Package org.apache.sysds.lops.rewrite

# Class LopRewriter

java.lang.Object
org.apache.sysds.lops.rewrite.LopRewriter

public class LopRewriter extends Object

## Constructor Summary

Constructors
Constructor
Description
`LopRewriter()`

## Method Summary

Modifier and Type
Method
Description
`ArrayList<Lop>`
`rewriteLopDAG(StatementBlock sb, ArrayList<Lop> lops)`
`void`
`rewriteLopDAGsFunction(FunctionStatementBlock fsb)`
`void`
`rewriteProgramLopDAGs(DMLProgram dmlp)`
`ArrayList<StatementBlock>`
`rRewriteLop(StatementBlock sb)`
`ArrayList<StatementBlock>`
`rRewriteLops(ArrayList<StatementBlock> sbs)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LopRewriter

public LopRewriter()

## Method Details

### rewriteProgramLopDAGs

public void rewriteProgramLopDAGs(DMLProgram dmlp)

### rewriteLopDAGsFunction

public void rewriteLopDAGsFunction(FunctionStatementBlock fsb)

### rewriteLopDAG

public ArrayList<Lop> rewriteLopDAG(StatementBlock sb, ArrayList<Lop> lops)

### rRewriteLops

public ArrayList<StatementBlock> rRewriteLops(ArrayList<StatementBlock> sbs)

### rRewriteLop

public ArrayList<StatementBlock> rRewriteLop(StatementBlock sb)